﻿Type=Service
Version=6.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region   VERSIONS  
'	1.00
#End Region


#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region


Sub Process_Globals
	Public kvsSettings As KeyValueStore
	Private ServerLinkFormat As String = "ws://TO CHANGE:PORT/Test"
	Public ServerLink As String
	Public ServerIP As String
	Public ServerPort As String
End Sub


Sub Service_Create
	If Not(kvsSettings.IsInitialized) Then 
		kvsSettings.Initialize(File.DirInternal, "kvsSettings")
	End If
End Sub

Sub Service_Start (StartingIntent As Intent)
	ReadSettings
	If ServerIP = "" Then ServerIP = "192.168.1.2"
	If ServerPort = "" Then ServerPort = "56000"
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy
	SaveSettings
End Sub

Sub ReadSettings
	ServerIP = kvsSettings.GetDefault("ServerIP", "")
	ServerPort = kvsSettings.GetDefault("ServerPort", "56000")
	ServerLink = ServerLinkFormat
	ServerLink = ServerLink.Replace("TO CHANGE", ServerIP)
	ServerLink = ServerLink.Replace("PORT", ServerPort)
End Sub

Sub SaveSettings
	kvsSettings.Put("ServerIP", ServerIP)
	kvsSettings.Put("ServerPort", ServerPort)
End Sub